Upload a profile CV
curl --request PUT \
--url https://api.scholarlysoftware.com/api/v1/profiles/{id}/cv_upload \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/pdf' \
--data '"<string>"'import requests
url = "https://api.scholarlysoftware.com/api/v1/profiles/{id}/cv_upload"
payload = "<string>"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/pdf"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/pdf'},
body: JSON.stringify('<string>')
};
fetch('https://api.scholarlysoftware.com/api/v1/profiles/{id}/cv_upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"message": "<string>",
"cv_upload": {
"attached": true,
"filename": "Jane Doe CV.pdf",
"content_type": "application/pdf",
"byte_size": 124000
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "422",
"title": "Validation Error",
"detail": "Label can't be blank"
}
]
}Profiles
Upload a profile CV
Upload a CV PDF or DOCX for a profile by sending the raw binary data in the request body. Maximum file size is 10 MB.
PUT
/
api
/
v1
/
profiles
/
{id}
/
cv_upload
Upload a profile CV
curl --request PUT \
--url https://api.scholarlysoftware.com/api/v1/profiles/{id}/cv_upload \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/pdf' \
--data '"<string>"'import requests
url = "https://api.scholarlysoftware.com/api/v1/profiles/{id}/cv_upload"
payload = "<string>"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/pdf"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/pdf'},
body: JSON.stringify('<string>')
};
fetch('https://api.scholarlysoftware.com/api/v1/profiles/{id}/cv_upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"message": "<string>",
"cv_upload": {
"attached": true,
"filename": "Jane Doe CV.pdf",
"content_type": "application/pdf",
"byte_size": 124000
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "422",
"title": "Validation Error",
"detail": "Label can't be blank"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Bearer token
Path Parameters
Body
application/pdfapplication/vnd.openxmlformats-officedocument.wordprocessingml.document
The body is of type file.
⌘I